[Unity]Failed to update project manifest: ‘projectVersion’ parameter is invalid: を解決する

Unity

こんにちは、ヤンペンです。

あれよあれよという間にUnity2018.3がリリースされましたね。

今回のバージョンアップの目玉の一つであるNested Prefabのことを学ぶためにYoutubeでBrackyさんのNew Prefab Workflowsで学んでいたときに問題は発生しました。

表示されたエラーの内容がこちらです。

Unity Package Manager Error。

project manifestのupdateに失敗したようでした。Retryボタンを押してもうまく解決できませんでした。

こちらの情報を参考に、問題を解決することができました。

 

以下、手順です。

試した環境[Unity2018.3.0f2 mac]

手順

Unityを終了する

ProjectSettingsフォルダにあるProjectVersion.txtを削除する

Unityでそのプロジェクトを開きなおす

これで問題解決しました!

他のMacで同じ環境で試したところ、この問題は起こらなかったので、原因がいまいちよくわからないのですが、お役に立てたら幸いです!


ちなみに今回のNested Prefabを学ぶのにつかったBrackyさんのチュートリアルはこちらです。

(Brackyさんのチュートリアル動画は短い時間でわかりやすいので超オススメです。)

 

スポンサーリンク